Package org.apache.sling.feature.maven.mojos

# Class AttachFeatureArchivesMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.feature.maven.mojos.AbstractFeatureMojo
org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo
org.apache.sling.feature.maven.mojos.AttachFeatureArchivesMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="attach-featurearchives", defaultPhase=PACKAGE, requiresDependencyResolution=TEST, threadSafe=true) public class AttachFeatureArchivesMojo extends AbstractIncludingFeatureMojo
Create a feature model archive and attach it. An archive is created for each feature of this project

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`AbstractIncludingFeatureMojo.FeatureScanner`

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`AbstractFeatureMojo.BaseArtifactProvider, AbstractFeatureMojo.BaseFeatureProvider`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_BUILT_BY`
`static final String`
`ATTR_CREATED_BY`
`static final String`
`ATTR_IMPLEMENTATION_BUILD`
`static final String`
`ATTR_IMPLEMENTATION_TITLE`
`static final String`
`ATTR_IMPLEMENTATION_VENDOR`
`static final String`
`ATTR_IMPLEMENTATION_VENDOR_ID`
`static final String`
`ATTR_IMPLEMENTATION_VERSION`
`static final String`
`ATTR_SPECIFICATION_TITLE`
`static final String`
`ATTR_SPECIFICATION_VENDOR`
`static final String`
`ATTR_SPECIFICATION_VERSION`

### Fields inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`defaultMetadata, features, jarStartOrder, mavenSession, project, projectHelper`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`AttachFeatureArchivesMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`getSelectedFeatures, selectAllFeatureFiles, selectAllFeatureFilesAndAggregates`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`checkPreconditions, getTmpDir`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATTR_BUILT_BY

public static final String ATTR_BUILT_BY

See Also:
  - Constant Field Values

### ATTR_CREATED_BY

public static final String ATTR_CREATED_BY

See Also:
  - Constant Field Values

### ATTR_IMPLEMENTATION_VERSION

public static final String ATTR_IMPLEMENTATION_VERSION

See Also:
  - Constant Field Values

### ATTR_IMPLEMENTATION_VENDOR

public static final String ATTR_IMPLEMENTATION_VENDOR

See Also:
  - Constant Field Values

### ATTR_IMPLEMENTATION_BUILD

public static final String ATTR_IMPLEMENTATION_BUILD

See Also:
  - Constant Field Values

### ATTR_IMPLEMENTATION_VENDOR_ID

public static final String ATTR_IMPLEMENTATION_VENDOR_ID

See Also:
  - Constant Field Values

### ATTR_IMPLEMENTATION_TITLE

public static final String ATTR_IMPLEMENTATION_TITLE

See Also:
  - Constant Field Values

### ATTR_SPECIFICATION_TITLE

public static final String ATTR_SPECIFICATION_TITLE

See Also:
  - Constant Field Values

### ATTR_SPECIFICATION_VENDOR

public static final String ATTR_SPECIFICATION_VENDOR

See Also:
  - Constant Field Values

### ATTR_SPECIFICATION_VERSION

public static final String ATTR_SPECIFICATION_VERSION

See Also:
  - Constant Field Values

## Constructor Details

### AttachFeatureArchivesMojo

public AttachFeatureArchivesMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`